import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:functions/src/core/providers/functions_repository_provider.dart';
import 'package:functions/src/features/remote_connection/domain/get_pictures_use_case.dart';
import 'package:functions/src/features/remote_connection/domain/get_pictures_use_case_impl.dart';

final getPicturesUseCaseProvider = Provider.autoDispose<GetPicturesUseCase>((ref) {
  final functionsRepository = ref.read(functionsRepositoryProvider);
  return GetPicturesUseCaseImpl(functionsRepository);
});
